Subject: Re: Weird DHCP related problems with net-next

From: Andrew Lunn <[email-masked]>
Date: Tue, 9 Jun 2015 21:22:42 +0200

On Tue, Jun 09, 2015 at 11:54:50AM -0700, Florian Fainelli wrote:
> Hi,
> 
> I am observing a strange problem on net-next (not observed with net,
> bisection in progress) where the initial DHCP configuration using
> busybox's udhcpc is able to configure the local interface address and
> DNS serer, but not the default gateway. Restarting udhcpc a second time
> does not exhibit this problem.

Hi Florian

I've seen something similar, but different, again with DSA involved,
on a WiFi Access point. I have debian, and i'm using isc dhcp. It gets
an address, sets the address on the interface, but does not add the
interface route to the routing table. Not sure about default route, i
would have to go check that.

Might be related, might not be.

      Andrew